Bug 244204 - libebook-CRITICAL **: e_book_async_open: assertion `book && E_IS_BOOK (book)' failed
libebook-CRITICAL **: e_book_async_open: assertion `book && E_IS_BOOK (book)'...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 10:29 EDT by Dams
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0:2.10.3-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 12:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2007-06-14 10:29:48 EDT
Description of problem: 

I've added an addressbook, located on an ldap server.

Version-Release number of selected component: evolution-(0:2.10.2-1.fc7).x86_64
and evolution-data-server(0:1.10.2-2.fc7).x86_64.

How reproducible: Everytime

Steps to Reproduce:
1. start evolution
2. go on addressbooks view
3. There is a bit of randomness in here, but it happens everytime in less than a
minute. click on the ldap addressbook, try to make a search, reclick on the
local addressbook, try to add something. Click here and there,  try to re-do
some search. Sometimes i dont even need to try to access the ldap addressbook.
  
Actual results:
A popup windows tells me the addressbooks wont be available anymore until i
restart evolution. I'm not able to use completion in the mail composer anymoer.


evolution output from terminal : 
[dams@dnade ~]# evolution
CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
** (evolution:2012): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:2012): DEBUG: mailto URL program: evolution
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
(evolution:2012): e-data-server-DEBUG: Loading categories from
"/home/dams/.evolution/categories.xml"
(evolution:2012): e-data-server-DEBUG: Loaded 29 categories

(evolution:2012): evolution-addressbook-WARNING **: error loading addressbook :
e_book_new : aucune fabrique disponible pour l'URI
« ldap://ldap-sophia.echo-net.net:389/ou=People,dc=fti,dc=net??sub? »


(evolution:1398): libebook-CRITICAL **: e_book_async_open: assertion `book &&
E_IS_BOOK (book)' failed
new dimensions = (48,48)
initial setting of an image.  no scaling
scale = 1

(evolution:1398): e-utils-WARNING **: calling e_icon_factory_get_icon_filename
with unknown icon_size value (48)
new dimensions = (48,48)
we need to scale up
scale = 1
Comment 1 Milan Crha 2007-11-21 06:57:20 EST
Thanks for your report, can you try to reproduce it on actual Fedora 8, please?
Thanks in advance. (btw, the message, as you wrote above, stated that you should
run evolution again to let work your address book things, like autocompletition
for example.)
Comment 2 Dams 2007-11-21 12:49:39 EST
actually no. It's seem to have been fixed long ago on fedora 7. Without knowing
which update exactly did.

Note You need to log in before you can comment on or make changes to this bug.